﻿using ComPDFKitViewer.PdfViewer;
using ComPDFKitViewer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Compdfkit_Tools.Edit
{
    /// <summary>
    /// Interaction logic for PDFContentEditControl.xaml
    /// </summary>
    public partial class PDFContentEditControl : UserControl
    {
        private PDFImageEditControl PDFImageEditControl = new PDFImageEditControl();
        private PDFTextEditControl PDFTextEditControl = new PDFTextEditControl();
        private PDFTextEditControl tempPDFTextEditControl = null;
        private PDFEditEvent editEvent = null;

        public CPDFViewer PDFView { get; private set; }
        public PDFEditEvent EditEvent { get; set; }

        public PDFContentEditControl()
        {
            InitializeComponent();
        }

        public void InitWithPDFViewer(CPDFViewer newPDFView)
        {
            PDFView = newPDFView;
            PDFImageEditControl.InitWithPDFViewer(newPDFView);
        }

        public void SetPDFTextEditData(PDFEditEvent editEvent, bool isTemp = false)
        {
            if (!isTemp)
            {
                PDFTextEditControl.SetPDFTextEditData(editEvent);
                ContentEditContainer.Child = PDFTextEditControl;
            }
            else
            {
                tempPDFTextEditControl = new PDFTextEditControl();
                this.editEvent = editEvent;
                tempPDFTextEditControl.Loaded += TempPDFTextEditControl_Loaded;
                ContentEditContainer.Child = tempPDFTextEditControl;
            }
        }

        public void ClearPanel()
        {
            ContentEditContainer.Child = null;
            EmptyMessage.Visibility = Visibility.Visible;
        }

        private void TempPDFTextEditControl_Loaded(object sender, RoutedEventArgs e)
        {
            tempPDFTextEditControl.SetPDFTextEditData(editEvent);

        }

        public void ClearContentControl()
        {
            ContentEditContainer.Child = null;
        }

        public void SetPDFImageEditData(PDFEditEvent editEvent)
        {
                PDFImageEditControl.SetPDFImageEditData(editEvent);
                ContentEditContainer.Child = PDFImageEditControl;
        }

        public void RefreshThumb()
        {
            PDFImageEditControl?.SetImageThumb();
        }
    }
}
